Package com.emc.documentum.rest.parser.xml.writer.field

# Class ObjectFieldXmlSerializer

java.lang.Object
com.emc.documentum.rest.parser.xml.writer.field.AbstractFieldXmlSerializer
com.emc.documentum.rest.parser.xml.writer.field.ObjectFieldXmlSerializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldSerializer<com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter>`

public class ObjectFieldXmlSerializer extends AbstractFieldXmlSerializer
XML field writer for null data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFieldXmlSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `serializable(Object fieldValue, SerializableFieldMeta fieldNode)`
  Check if the field value and field type is serializable by this serializer.
  `void`
  `serialize(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, Object value, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Serialize the field.
  `void`
  `serializeKeyValue(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String serializableName, Object value, Map<String,String> attrs, String ns, String prefix, org.springframework.http.MediaType contentType, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Serializes the object in a map as the entry value.
  `protected void`
  `writeField(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String serializableName, String parentPrefix, String parentNS, Object value, Map<String,String> attrs, boolean writeFieldName, boolean writeTypeRoot, com.emc.documentum.rest.config.BindingConfig bindingConfig)`

  ### Methods inherited from class com.emc.documentum.rest.parser.xml.writer.field.AbstractFieldXmlSerializer

  `isCompatibleMediaType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFieldXmlSerializer

    public ObjectFieldXmlSerializer()

- ## Method Details

  - ### serialize

    public void serialize(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, Object value, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Description copied from interface: `AnnotatedFieldSerializer`
    Serialize the field.
    Parameters:
      `writer` - message writer
      `value` - field value
      `fieldNode` - the serializable field meta
      `mediaType` - the target media type to serialize
      `bindingConfig` - the binding configuration

  - ### serializeKeyValue

    public void serializeKeyValue(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String serializableName, Object value, Map<String,String> attrs, String ns, String prefix, org.springframework.http.MediaType contentType, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Description copied from class: `AbstractFieldXmlSerializer`
    Serializes the object in a map as the entry value. This method must be implemented if the target object supports to be serialized in a map.
    Overrides:
      `serializeKeyValue` in class `AbstractFieldXmlSerializer`
    Parameters:
      `writer` - message writer
      `serializableName` - the serializable name of the field to serialize
      `value` - the object value to serialize
      `attrs` - the additional data for marshalling
      `ns` - the name space
      `prefix` - the prefix of name space
      `contentType` - content type of target representation
      `bindingConfig` - the binding configuration

  - ### serializable

    public boolean serializable(Object fieldValue, SerializableFieldMeta fieldNode)
    Description copied from interface: `AnnotatedFieldSerializer`
    Check if the field value and field type is serializable by this serializer.
    Parameters:
      `fieldValue` - the field value
      `fieldNode` - the serializable field meta
    Returns:
      `true` if the field value is serializable; `false` otherwise.

  - ### writeField

    protected void writeField(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, String serializableName, String parentPrefix, String parentNS, Object value, Map<String,String> attrs, boolean writeFieldName, boolean writeTypeRoot, com.emc.documentum.rest.config.BindingConfig bindingConfig)